%define name mplayerplug-in
%define ver 1.1
%define mozilla_plugin_dir /usr/lib/mozilla/plugins
%define config_dir /etc
%{!?os_ver:%define os_ver fc%(cut -d' ' -f4 /etc/fedora-release )}

%define rel %{os_ver}

Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: Browser/Plugin
Summary: MPlayer Plugin for Netscape/Mozilla
URL: http://mplayerplug-in.sourceforge.net/
Packager: Kevin DeKorte <kdekorte@users.sourceforge.net>
Source0: %{name}-%{ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{ver}-root

BuildRequires: XFree86-devel
Obsoletes: mplayerplug-in < %{version}
Provides: mplayerplug-in


%description
mplayerplug-in is a Netscape/Mozilla browser plugin to allow playing embedded movies on web pages.

%prep
rm -rf %buildroot && %{__mkdir} -p %buildroot%{mozilla_plugin_dir} && %{__mkdir} -p %buildroot%{config_dir}
%setup -n %{name}

%build
./configure
%{__make}

%install
%{__install} -m755 mplayerplug-in.so %buildroot%{mozilla_plugin_dir}
%{__install} -m755 mplayerplug-in.types %buildroot%{config_dir}
%{__install} -m755 mplayerplug-in.conf %buildroot%{config_dir}

%clean
rm -rf %buildroot

%files
%defattr (-,root,root)
%doc ChangeLog INSTALL README TODO
%{mozilla_plugin_dir}/mplayerplug-in.so
%config(noreplace) %{config_dir}/mplayerplug-in.conf
%config(noreplace) %{config_dir}/mplayerplug-in.types

%changelog
* Tue Jan 15 2004 Kevin DeKorte
- v1.1
- Security Fixes
- Minor bug fixes with saving streams
- Build system fixes
- Title Screen enhancement
- Updated status window
- Playlist support for http streams that act like mms streams
- See ChangeLog for full list of fixes

* Tue Dec 12 2003 Kevin DeKorte
- v1.0
- Added -zoom patch from Giuseppe Ghibò <ghibo@mandrakesoft.com>
- Patch to only kill the mplayer associated with the window being destroyed.
- This allows multiple streams to play in different windows
- Cosmetic "about:plugins" patch from Benjamin Larsson <banan@student.luth.se>
- More about:plugin work to fix an issue with AtomFilms, Quicktime was not coming up
- Keep trailing ; in mimetype list
- smil format support - Clone wars

* Mon Oct 20 2003 Kevin DeKorte
- v1.0pre3
- More fixes

* Thu Oct 16 2003 Kevin DeKorte
- v1.0pre2
- compatibility with mplayer 1.0pre2

* Fri Oct 03 2003 Kevin DeKorte
- v0.95
- True streaming support
- Improved playlist capability
- Improved status window
- Mplayer 0.92 is a prerequisite

* Wed Sep 10 2003 Kevin DeKorte
- Fix errors in 0.90
- Downloading feature disabled for now.

* Sun Sep 07 2003 Kevin DeKorte
- See ChangeLog for code changes

* Mon Mar 03 2003 Michael A. Peters <mpeters@mac.com>
- created spec file
